Skip to navigation

Retrieve a Transaction Event

GET Transaction Events

/events/transaction endpoint allows you to operate on the Transaction Events entity..

You can retrieve any transaction event you created using the POST Transaction Events call.

Authentication

x-api-keystring
API keys are used to authenticate the requests.

Path parameters

eventIdstringRequired
Unique Transaction Identifier

Response

OK
transactionStateenum
Model for transaction states. E.g. Processing, Refunded, Successful etc.
timestampdouble315529200000-4133890801000
Timestamp of the event
transactionIdstring>=1 character
Transaction ID the event pertains to
eventIdstringOptional
Unique event ID
reasonstringOptional
Reason for the event or a state change
eventDescriptionstringOptional
Event description
updatedTransactionAttributesobjectOptional
Model for transaction additional payload
metaDataobjectOptional
Model for device data
executedRuleslist of objectsOptional
hitRuleslist of objectsOptional
statusenumOptional
Model for rule action if a rule is hit. This is returned in the API response and can be configured on Console by operational accounts like a Compliance Analyst
Allowed values:
riskScoreDetailsobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error